package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: 附件enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/18
 */
public enum AttachmentEnum {

    name("姓名"),

    identity("证件号"),

    courseCode("科目代码"),

    courseName("科目名称"),

    grade("年级"),

    classNo("教学班级"),

    examActivityCode("场次"),

    roomCode("考场代码"),

    roomName("考场名称"),

    teacher1("监考账号1"),

    teacher2("监考账号2"),

    teacher3("监考账号3"),

    extendColumn("扩展字段");

    private String code;

    private AttachmentEnum(String code) {
        this.code = code;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        if (Objects.equals(value.trim(), name.code)) {
            return name.name();
        } else if (Objects.equals(value.trim(), courseCode.code)) {
            return courseCode.name();
        } else if (Objects.equals(value.trim(), courseName.code)) {
            return courseName.name();
        } else if (Objects.equals(value.trim(), extendColumn.code)) {
            return extendColumn.name();
        } else if (Objects.equals(value.trim(), grade.code)) {
            return grade.name();
        } else if (Objects.equals(value.trim(), classNo.code)) {
            return classNo.name();
        } else if (Objects.equals(value.trim(), examActivityCode.code)) {
            return examActivityCode.name();
        } else if (Objects.equals(value.trim(), roomCode.code)) {
            return roomCode.name();
        } else if (Objects.equals(value.trim(), roomName.code)) {
            return roomName.name();
        } else if (Objects.equals(value.trim(), teacher1.code)) {
            return teacher1.name();
        } else if (Objects.equals(value.trim(), teacher2.code)) {
            return teacher2.name();
        } else if (Objects.equals(value.trim(), teacher3.code)) {
            return teacher3.name();
        } else {
            return identity.name();
        }
    }

    /**
     * 状态转换 toCode
     *
     * @param value
     * @return
     */
    public static String convertToCode(String value) {
        if (Objects.equals(value.trim(), name.name())) {
            return name.code;
        } else if (Objects.equals(value.trim(), courseCode.name())) {
            return courseCode.code;
        } else if (Objects.equals(value.trim(), courseName.name())) {
            return courseName.code;
        } else if (Objects.equals(value.trim(), extendColumn.name())) {
            return extendColumn.code;
        } else if (Objects.equals(value.trim(), grade.name())) {
            return grade.code;
        } else if (Objects.equals(value.trim(), classNo.name())) {
            return classNo.code;
        } else if (Objects.equals(value.trim(), examActivityCode.name())) {
            return examActivityCode.code;
        } else if (Objects.equals(value.trim(), roomCode.name())) {
            return roomCode.code;
        } else if (Objects.equals(value.trim(), roomName.name())) {
            return roomName.code;
        } else if (Objects.equals(value.trim(), teacher1.name())) {
            return teacher1.code;
        } else if (Objects.equals(value.trim(), teacher2.name())) {
            return teacher2.code;
        } else if (Objects.equals(value.trim(), teacher3.name())) {
            return teacher3.code;
        } else {
            return identity.code;
        }
    }

    public String getCode() {
        return code;
    }
}
