package com.qmth.themis.business.enums;

/**
 * @Description: mq tag enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqTagEnum {

    web("会话web标签", "用户session日志", "normal", 0),
    win("会话win标签", "用户session日志", "normal", 1),
    mac("会话mac标签", "用户session日志", "normal", 2),
    wxapp("会话wxapp标签", "用户session日志", "normal", 3),
    ios("会话ios标签", "用户session日志", "normal", 4),
    android("会话android标签", "用户session日志", "normal", 5),
    user("用户轨迹user标签", "用户轨迹日志", "normal", 6),
    student("用户轨迹student标签", "考生轨迹日志", "normal", 7),
    examStudentImport("考生导入任务标签", "考生导入任务日志", "normal", 8),
    roomCodeExport("考场导出任务标签", "考场导出任务日志", "normal", 9),
    roomCodeImport("考场导入任务标签", "考场导入任务日志", "normal", 10),
    examPaperImport("试卷导入任务标签", "试卷导入任务日志", "normal", 11),
    oeImClustering("websocket客户端点对点发送消息标签", "客户端点对点消息日志", "normal", 12),
    oeImBroadcasting("websocket客户端广播发送消息标签", "客户端广播消息日志", "normal", 13),
    oeMonitorFinish("websocket客户端监考强制离线(交卷)标签", "监考强制离线(交卷)日志", "normal", 14),
    oeWarningFinish("websocket客户端预警强制离线(交卷)标签", "预警强制离线(交卷)日志", "normal", 15),
    oeHardFinish("websocket客户端手动(交卷)标签", "手动(交卷)日志", "normal", 16),
    oeLivenessVerify("websocket客户端监考强制活体验证标签", "监考强制活体验证日志", "normal", 17),
    oeUnNormal("websocket超时退出标签", "websocket超时退出超时退出日志", "delay", 18),
    examActivity("考场一次性延时任务标签", "考场一次性延时任务日志", "normal", 19),
    quartz("quartz标签", "quartz任务日志", "normal", 20),
    calculateObjectiveScore("计算客观分标签", "计算客观分日志", "normal", 21),
    faceVerifySave("人脸验证保存", "人脸验证日志", "normal", 22),
    livenessVerifySave("活体验证保存", "活体验证日志", "normal", 23),
    examRecordPersisted("考试记录数据持久化", "考试日志", "normal", 24),
    examRecordUpdate("考试记录数据更新", "考试日志", "normal", 25),
    examRecordInit("考试记录数据初始化", "考试日志", "normal", 26),
    examBreakHistory("考试断点记录", "考试日志", "normal", 27),
    warningLog("预警日志标签", "预警日志", "normal", 28),
    exceptionLog("异常日志标签", "异常日志", "normal", 29),
    monitorLog("监考监控日志标签", "监考监控日志", "normal", 30);

    private MqTagEnum(String desc, String code, String type, int id) {
        this.desc = desc;
        this.code = code;
        this.type = type;
        this.id = id;
    }

    private String code;//留痕描述

    private String desc;//标签

    private String type;//消息类型，normal：正常消息，delay：延时消息，transactional：事务消息

    private int id;

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public String getType() {
        return type;
    }

    public int getId() {
        return id;
    }
}
