package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: 上传文件类型
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public enum UploadFileEnum {
    /**
     * 客户端
     */
    client(0),
    /**
     * 学生底照
     */
    base_photo(1),
    /**
     * 系统相关
     */
    upload(2),
    /**
     * 导入导出&试卷
     */
    file(3),
    /**
     * 前端资源
     */
    frontend(4);

    private int id;

    private UploadFileEnum(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(int value) {
        if (value == client.getId()) {
            return client.name();
        } else if (value == base_photo.getId()) {
            return base_photo.name();
        } else if (value == upload.getId()) {
            return upload.name();
        } else if (value == frontend.getId()) {
            return frontend.name();
        } else {
            return file.name();
        }
    }
}
