package com.qmth.themis.common.enums;

public enum Platform {

    web("admin_web"),
    win("admin_client,oe_client"),
    mac("admin_client,oe_client"),
    wxapp("oe_answer"),
    ios("oe_answer,mobile_monitor_first,mobile_monitor_second"),
    android("oe_answer,mobile_monitor_first,mobile_monitor_second");

    public static Platform findByName(String name) {
        if (name == null) {
            return null;
        }
        for (Platform item : Platform.values()) {
            if (item.toString().equalsIgnoreCase(name)) {
                return item;
            }
        }
        return null;
    }

    private String source;

    Platform(String source) {
        this.source = source;
    }

    public String getSource() {
        return source;
    }

    public boolean equals(String name) {
        return toString().equalsIgnoreCase(name);
    }
}
